@import url('https://fonts.googleapis.com/css2?family=EB+Garamond:ital,wght@0,400;0,500;0,600;0,700;0,800;1,400;1,500;1,600;1,700;1,800&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    font-family: 'EB Garamond', serif;
}

header{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 80px;
    background: rgb(11, 30, 114);
    z-index: 10;
}

.header-content{
    max-width: 1200px;
    margin: auto;
    display: flex;
    justify-content: space-between;
    position: relative;
}

.logo{
    height: 80px;
    color: rgb(255, 255, 255);
    display: flex;
    justify-content: center;
    align-items: center;
}

.menu{
    height: 80px;
    margin-right: 40px;
}

.menu nav{
    height: 100%;
}

.menu nav ul{
    height: 100%;
    display: flex;
    list-style: none;
}

.menu nav ul li{
    height: 100%;
    margin: 0px 0px;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
}

.menu nav ul li a{
    color: #ffffff;
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
    font-size: 18px;
    transition: color 300ms;
}

.menu nav ul li a:hover{
    color: #46a2fd;
}

#icon-menu{
    width: 35px;
    height: 35px;
    position: absolute;
    right: 20px;
    top: 20px;
    padding: 10px;
    font-size: 20px;
    border-radius: 100%;
    color:  white;
    display: none;
    justify-content: center;
    align-content: center;
    cursor: pointer;
}

#icon-menu:hover{
    opacity: 0.9;
    color: #46a2fd;
}

.container-content{
    background-color: #ffffff;
    width: 950px;
    margin-left: 100px;
    margin-top: 60px;
    display: flex;
    justify-content: center;
}

article{
    width: 100%;
    padding: 20px;
    padding-bottom: 40px;
    border-radius: 6px;
    position: relative;
    overflow: hidden;
}

article img{
    width: 100%;
    margin-top: 20px; 
}

/*Aside de los artículos relacionados*/

.container-aside aside{
    width: 400px;
    color: rgb(11, 30, 114);
    border-radius: 6px;
    box-shadow: 5px 5px 10px 5px rgb(38, 35, 77);
    overflow: auto;
    margin-top: 45px;
    margin-left: 30px; 
    margin-bottom: 30px;
}


.container-aside aside h2, .container-aside aside p{
    font-family: Open, Helvetica, sans-serif;
    font-size: 20px;
    font-style: normal;
    font-weight: bolder;
    margin-top: 40px;
    margin-bottom: 40px; 
    padding: 0px 33px;
}


/** boton de ir arriba ---- */

#button-up{
    width: 55px;
    height: 55px;
    background: #46a2fd;
    display: flex;
    justify-content: center;
    align-items: center;
    color: white;
    border-radius: 50%;
    font-size: 20px;
    position: fixed;
    bottom: 35px;
    right: 40px;
    cursor: pointer;
    border: 4px solid transparent;
    transition: all 1000ms ease;
    transform: scale(0);
}

#button-up:hover{
    transform: scale(1.1);
    border-color: rgba(0, 0, 0, 0.1);
}

.container-footer{
    width: 100%;
    padding: 15px 0;
    background: rgb(11, 30, 114);
    margin-top: 15px;
}

.container-footer footer{
    max-width: 1200px;
    margin: auto;
}

.container-footer footer .logo-footer{
    text-align: center;
}

.container-footer footer .logo-footer img{
    width: 100px;
}

.container-footer footer .redes-footer{
    display: flex;
    justify-content: center;
    margin-top: 15px;
}

.container-footer footer .redes-footer .icon-redes-footer{
    font-size: 20px;
    margin: 15px;
    background: #efefef;
    width: 50px;
    height: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 100%;
    color: #a2a2a2;
}

.container-footer footer .redes-footer .fa-facebook:hover{
    background: blue;
    color: white;
}

.container-footer footer .redes-footer .fa-instagram:hover{
    background: linear-gradient(to top right, #fcde30, #e9712a, #d2313b, #ae4198, #5443a8);
    color: white;
}

.container-footer footer .redes-footer .fa-envelope-square:hover{
    background: rgb(255, 102, 0);
    color: white;
}

.container-footer footer hr{
    margin-top: 20px;
    border: none;
    height: 3px;
    background: #a1a1a17a;
}

.container-footer h4{
    text-align: center;
    margin-top: 20px;
    color: white;
    font-weight: 500px;
}


@media screen and (max-width: 1220px){
    .header-content, .container-content, .container-footer footer{
        max-width: 1000px;
        padding: 0 20px;
    }

    #ctn-bars-search, #ctn-bars-search input, #box-search{
        width:  100%;
    }
}

@media screen and (max-width: 850px){
    .container-content{
        max-width: 400px;
        flex-direction: column;
        justify-content: left;
        margin-top: 40px;
        margin-left: 10px;
    }

    article{
        box-shadow: 0 0 0 0;
    }

    .container-aside{
        display: flex;
        justify-content: left;
        flex-direction: column;
    }

    .container-aside aside{
        max-width: 335px;
        margin-top: 0px;
        margin-left: 20px;
        flex-direction: column;
        justify-content: left;
    }

}

@media screen and (max-width: 700px){

    body{
        overflow-x: hidden;
    }

    .container-all{
        transition: all 300ms cubic-bezier(1,0,0,1);
    }

    .move-container-all{
        transform: translateX(300px);
    }

    .menu{
        width: 0px;
        height: 100vh;
        position: fixed;
        top: 80px;
        left: 0;
        background: rgb(11, 30, 114);
        overflow: hidden;
        transform: translateX(-350px);
        box-shadow: 12px 0 20px -25px rgb(0, 0, 0);
        transition: all 300ms cubic-bezier(1,0,0,1);
    }

    .show-lateral{
        width: 300px;
        transform: translateX(0px);
    }

    .menu nav ul {
        flex-direction: column;
    }

    .menu nav ul li{
        max-width: 200px;
        height: 50px;
        justify-content: flex-start;
    }

    .menu-selected:before{
        width: 0;
    }

    .menu nav ul li a{
        margin-top: 40px;
        color: #ffffff;
    }

    #icon-menu{
        display: flex;
        right:  20px;
    }

    .container-aside{
        flex-wrap: wrap;
    }

}
    